KubeOne(1)

NAME
kubeone-apply - Reconcile the cluster

SYNOPSIS
kubeone apply [flags]

DESCRIPTION
Reconcile (Install/Upgrade/Repair/Restore) Kubernetes cluster on pre-existing machines. MachineDeployments get initialized but won't get modified by default, see '--upgrade-machine-deployments'.

This command takes KubeOne manifest which contains information about hosts and how the cluster should be provisioned. It's possible to source information about hosts from Terraform output, using the '--tfjson' flag.

OPTIONS
-y, --auto-approve[=false]
    auto approve plan

-b, --backup=""
    path to where the PKI backup .tar.gz file should be placed (default: location of cluster config file)

--create-machine-deployments[=true]
    create MachineDeployments objects

--force-install[=false]
    use force to install new binary versions (!dangerous!)

--force-upgrade[=false]
    force start upgrade process

-h, --help[=false]
    help for apply

--no-init[=false]
    don't initialize the cluster (only install binaries)

--prune-images[=false]
    delete unused container images on control plane and static worker nodes

--rotate-encryption-key[=false]
    rotate Encryption Provider encryption key

--upgrade-machine-deployments[=false]
    upgrade MachineDeployments objects

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone apply -m mycluster.yaml -t terraformoutput.json

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra